# Stringable
<span class="source-link">[[Source]](src/builtin/stringable.md#L1)</span>

Things that can be turned into a String.


```pony
interface box Stringable
```

## Public Functions

### string
<span class="source-link">[[Source]](src/builtin/stringable.md#L5)</span>


Generate a string representation of this object.


```pony
fun box string()
: String iso^
```

#### Returns

* [String](builtin-String.md) iso^

---

